Skip to main content
POST
Add a lead to a campaign

Authorizations

X-Api-Key
string
header
required

Your secret ReachBoost API key.

Path Parameters

workspace_uuid
string<uuid>
required

Your unique workspace identifier.

Example:

"YOUR_WORKSPACE_UUID"

campaign_uuid
string<uuid>
required

The unique identifier for the campaign.

Example:

"YOUR_CAMPAIGN_UUID"

Body

application/json
linkedin_profile_url
string
required

Must be a valid https://www.linkedin.com/in/ URL. Various formats are auto-normalized.

Example:

"https://www.linkedin.com/in/john-doe"

first_name
string
Maximum string length: 100
last_name
string
Maximum string length: 100
company_name
string
Maximum string length: 200
job_role
string
Maximum string length: 100
profile_headline
string
Maximum string length: 500
connection_degree
enum<integer>

LinkedIn connection degree.

Available options:
1,
2,
3
email
string

Email must be a valid email address and unique within the workspace.

Maximum string length: 255
phone_number
string

Digits with an optional leading "+" and common separators (spaces, dashes, dots, parentheses); must contain 6–15 digits.

Maximum string length: 50
company_domain
string
Maximum string length: 255
company_linkedin_url
string
Maximum string length: 500
company_headcount
integer

Must be a non-negative integer.

Required range: x >= 0
company_industry
string
Maximum string length: 200
city
string
Maximum string length: 100
country_code
string

ISO 3166-1 alpha-2 country code, stored upper-cased. Any other value is rejected.

Pattern: ^[A-Za-z]{2}$
Example:

"NL"

custom_fields
object[]
Maximum array length: 100

Response

Lead created/updated and added to the campaign

uuid
string<uuid>
first_name
string | null
last_name
string | null
company_name
string | null
job_role
string | null
linkedin_profile_url
string | null
Example:

"https://www.linkedin.com/in/johndoe"

profile_headline
string | null
lead_status
string | null
email
string | null
phone_number
string | null
company_domain
string | null
company_linkedin_url
string | null
company_headcount
integer | null
company_industry
string | null
city
string | null
country_code
string | null
tags
object[]
custom_fields
object[]
Maximum array length: 100
blacklisted
boolean
updated_at
string<date-time>
created_at
string<date-time>